AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: GPL-3.0-or-later
SourceCode: https://github.com/BrightDV/BoxBox
IssueTracker: https://github.com/BrightDV/BoxBox/issues

AutoName: Box, Box!

RepoType: git
Repo: https://github.com/BrightDV/BoxBox.git

Builds:
  - versionName: 0.1.0
    versionCode: 5
    commit: eae2b50ef9aad93ce2245e27c031e98ed3856c63
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.3.2
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.0
    versionCode: 6
    commit: a3733812f76768b94f48cf18d7a8a8551bf8805e
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.3.2
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.1
    versionCode: 7
    commit: ca96049a75cdc051f1f57b6e1ccbbfc18e668613
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.3.2
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.2.2
    versionCode: 8
    commit: bffddd98d691e61f2cb5b001d634417007a3ef02
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    srclibs:
      - flutter@3.3.2
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 0.5.1
    versionCode: 15
    commit: af911d81376dedad0d2a859b346e843a56ed2cc9
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.5.2
    versionCode: 16
    commit: 35d36eab5a4636c9ad0cab16ff2f5af86204f393
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.5.3
    versionCode: 17
    commit: bc95b9a23a14315df8ca88dbe99c07d209b7e63f
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.5.5
    versionCode: 19
    commit: 0cadf61a73d363493389e33cd405ff179de54633
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.5.6
    versionCode: 20
    commit: e41985f87ace224325f8fa77c8d2540d747ea932
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.5.8
    versionCode: 22
    commit: c05db7ae00bd2417a06835de6f9fb9b397022611
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.6.0
    versionCode: 23
    commit: d411f22f2f94ad1eba6b33b2c699323777929dfd
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.6.1
    versionCode: 24
    commit: ac5c617d42e3f781fe8c1a9854021a20f3e95f00
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.6.2
    versionCode: 25
    commit: b5fccbf38b105972b30c4d1b27d3013cab204646
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.6.3
    versionCode: 26
    commit: 642c8259d165505579aaedf7f3fbbddfeea18402
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/packages/flutter_tools/gradle/flutter.gradle
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.6.4
    versionCode: 27
    commit: ff077fe2faa9e402cdcff6188c1ea47af657b84b
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.6.5
    versionCode: 28
    commit: 07e88538b19c9957442dba649179ad12d50a6cc6
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.7.0
    versionCode: 29
    commit: cf97b71dcee7acb22a232a0ce60419eea0770a6b
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

  - versionName: 0.7.1
    versionCode: 30
    commit: 7a0bbb3e40d9b47f137b6c29a1c1670c5c924dc5
    submodules: true
    output: build/app/outputs/apk/release/app-release-unsigned.apk
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter config --no-analytics
      - .flutter/bin/flutter pub get
    scanignore:
      - .flutter/bin/cache
    scandelete:
      - .flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - .flutter/bin/flutter build apk

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.7.1
CurrentVersionCode: 30
